libnvme(9)

NAME
enum nvme_sanitize_sanact - Sanitize Action

SYNOPSIS
enum nvme_sanitize_sanact {
NVME_SANITIZE_SANACT_EXIT_FAILURE ,
NVME_SANITIZE_SANACT_START_BLOCK_ERASE ,
NVME_SANITIZE_SANACT_START_OVERWRITE ,
NVME_SANITIZE_SANACT_START_CRYPTO_ERASE ,
NVME_SANITIZE_SANACT_EXIT_MEDIA_VERIF };

Constants

NVME_SANITIZE_SANACT_EXIT_FAILURE
    Exit Failure Mode.

NVME_SANITIZE_SANACT_START_BLOCK_ERASE
    Start a Block Erase sanitize operation.

NVME_SANITIZE_SANACT_START_OVERWRITE
    Start an Overwrite sanitize operation.

NVME_SANITIZE_SANACT_START_CRYPTO_ERASE
    Start a Crypto Erase sanitize operation.

NVME_SANITIZE_SANACT_EXIT_MEDIA_VERIF
    Exit Media Verification State